package com.muyu.quest.domain;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.enums.SysNodeType;
import com.muyu.common.core.validation.custom.IsSysApiState;
import com.muyu.common.core.validation.custom.IsSysNodeType;
import com.muyu.common.core.validation.custom.IsSysYesNo;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 节点管理对象 node_source
 *
 * @author 2112A
 * @date 2024-08-23
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("node_info")
public class Node extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 自增主键 */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 节点编码 */
    @Excel(name = "节点编码")
    private String nodeCode;

    /** 任务编码 */
    @Excel(name = "任务编码")
    private String taskCode;

    /** 节点类型 */
    @Excel(name = "节点类型")
    @IsSysNodeType
    private String nodeType;

    /** 节点名称 */
    @Excel(name = "节点名称")
    private String nodeName;

    /** 节点位置Y */
    @Excel(name = "节点位置Y")
    private String nodePositionTop;

    /** 节点位置X */
    @Excel(name = "节点位置X")
    private String nodePositionLeft;

    /** 节点上一级 */
    @Excel(name = "节点上一级")
    private String nodePreCode;

    /** 节点下一级 */
    @Excel(name = "节点下一级")
    private String nodeNextCode;

    /** 启用状态 */
    @Excel(name = "启用状态")
    @IsSysYesNo
    private String state;



    @Override
    public String toString() {
        return "编码:"+this.getNodeCode() +
                ",名称:"+this.getNodeName() +
                ",类型:"+this.getNodeType();
    }
}
