package com.muyu.quest.resp;


import com.muyu.common.core.enums.SysYesNo;
import com.muyu.quest.domain.Task;
import lombok.*;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 任务对象 task_source
 *
 * @author 2112A
 * @date 2024-08-22
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskResp {

    /** 自增主键 */
    private Long id;

    /** 任务编码 */
    private String taskCode;

    /** 任务名称 */
    private String taskName;

    /** 任务描述 */
    private String taskData;

    /** 任务类型 */
    private String taskType;

    /** 启用状态 */
    private String state;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskCode", getTaskCode())
            .append("taskName", getTaskName())
            .append("taskType", getTaskType())
            .append("state", getState())
            .toString();
    }

    public static TaskResp build(Task task) {
        return TaskResp.builder()
                .id(task.getId())
                .taskCode(task.getTaskCode())
                .taskName(task.getTaskName())
                .taskData(task.getTaskData())
                .taskType(task.getTaskType())
                .state(SysYesNo.getInfoByCode(task.getState()))
                .build();
    }
}
