package com.muyu.quest.advice;

/**
 * @Author: 胡杨
 * @Name: TaskAdvice
 * @Description: 任务统一异常处理
 * @CreatedDate: 2024/9/1 下午4:12
 * @FilePath: com.muyu.quest.advice
 */


import com.alibaba.nacos.api.model.v2.Result;
import com.muyu.quest.exception.TaskException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.ExceptionHandler;

/**
 * @Author: 胡杨
 * @Name: TaskAdvice
 * @Description: 任务统一异常处理
 * @CreatedDate: 2024/9/1 下午4:12
 * @FilePath: com.muyu.quest.advice
 */
@Slf4j
@Component
public class TaskAdvice {
    @ExceptionHandler(TaskException.class)
    public Result<String> commonException(TaskException e) {
        log.error("任务异常处理,异常信息:[{}]",e.toString());
        return Result.failure(e.getMessage());
    }
}
